From 4e7e7c47cfc8f5f47890d5998bd6d189cc9c7710 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:12 +0000
Subject: [PATCH 400/2232] Collect std vector ops into one extern "C" block


---

diff --git a/src/cxx.cc b/src/cxx.cc
index a3ff557..d9be1fb 100644
--- a/src/cxx.cc
+++ b/src/cxx.cc
@@ -200,7 +200,6 @@ void cxxbridge02$unique_ptr$std$string$drop(
 } // extern "C"
 
 #define STD_VECTOR_OPS(RUST_TYPE, CXX_TYPE)                                    \
-  extern "C" {                                                                 \
   size_t cxxbridge02$std$vector$##RUST_TYPE##$size(                            \
       const std::vector<CXX_TYPE> &s) noexcept {                               \
     return s.size();                                                           \
@@ -213,12 +212,10 @@ void cxxbridge02$unique_ptr$std$string$drop(
       std::vector<CXX_TYPE> &s, const CXX_TYPE &item) noexcept {               \
     s.push_back(item);                                                         \
   }                                                                            \
-  static_assert(sizeof(std::unique_ptr<std::vector<CXX_TYPE>>) ==              \
-                    sizeof(void *),                                            \
-                "");                                                           \
-  static_assert(alignof(std::unique_ptr<std::vector<CXX_TYPE>>) ==             \
-                    alignof(void *),                                           \
-                "");                                                           \
+  static_assert(                                                               \
+      sizeof(std::unique_ptr<std::vector<CXX_TYPE>>) == sizeof(void *), "");   \
+  static_assert(                                                               \
+      alignof(std::unique_ptr<std::vector<CXX_TYPE>>) == alignof(void *), ""); \
   void cxxbridge02$unique_ptr$std$vector$##RUST_TYPE##$null(                   \
       std::unique_ptr<std::vector<CXX_TYPE>> *ptr) noexcept {                  \
     new (ptr) std::unique_ptr<std::vector<CXX_TYPE>>();                        \
@@ -234,22 +231,22 @@ void cxxbridge02$unique_ptr$std$string$drop(
       std::vector<CXX_TYPE> *raw) noexcept {                                   \
     new (ptr) std::unique_ptr<std::vector<CXX_TYPE>>(raw);                     \
   }                                                                            \
-  const std::vector<CXX_TYPE> *                                                \
-      cxxbridge02$unique_ptr$std$vector$##RUST_TYPE##$get(                     \
+  const std::vector<CXX_TYPE>                                                  \
+      *cxxbridge02$unique_ptr$std$vector$##RUST_TYPE##$get(                    \
           const std::unique_ptr<std::vector<CXX_TYPE>> &ptr) noexcept {        \
     return ptr.get();                                                          \
   }                                                                            \
-  std::vector<CXX_TYPE> *                                                      \
-      cxxbridge02$unique_ptr$std$vector$##RUST_TYPE##$release(                 \
+  std::vector<CXX_TYPE>                                                        \
+      *cxxbridge02$unique_ptr$std$vector$##RUST_TYPE##$release(                \
           std::unique_ptr<std::vector<CXX_TYPE>> &ptr) noexcept {              \
     return ptr.release();                                                      \
   }                                                                            \
   void cxxbridge02$unique_ptr$std$vector$##RUST_TYPE##$drop(                   \
       std::unique_ptr<std::vector<CXX_TYPE>> *ptr) noexcept {                  \
     ptr->~unique_ptr();                                                        \
-  }                                                                            \
-  } // extern "C"
+  }
 
+extern "C" {
 STD_VECTOR_OPS(u8, uint8_t);
 STD_VECTOR_OPS(u16, uint16_t);
 STD_VECTOR_OPS(u32, uint32_t);
@@ -262,3 +259,4 @@ STD_VECTOR_OPS(i64, int64_t);
 STD_VECTOR_OPS(isize, rust::isize);
 STD_VECTOR_OPS(f32, float);
 STD_VECTOR_OPS(f64, double);
+} // extern "C"

